#ifndef ACTION_H
#define ACTION_H

/*  action codes  */

#define SHIFT    1
#define REDUCE   2
#define ERROR    3

typedef
  struct action
    {
      struct action *next;
      short symbol;
      short number;
      short prec;
      char action_code;
      char assoc;
      char suppressed;
    }
  action;

extern action **parser;
extern int SRtotal;
extern int RRtotal;
extern short *SRconflicts;
extern short *RRconflicts;
extern short *defred;

#endif
